This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 197216 - [bn_IN]Incorrect glyph for conjunct
[bn_IN]Incorrect glyph for conjunct
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag Nemade
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-29 07:16 EDT by Runa Bhattacharjee
Modified: 2013-03-03 21:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 04:35:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Graphical representation of the correct and incorrect form of the glyph (7.75 KB, image/png)
2006-06-29 07:16 EDT, Runa Bhattacharjee
no flags Details
Patch attached (167.78 KB, patch)
2006-07-21 10:56 EDT, Darshan Santani
no flags Details | Diff
conjunct sign with cursor position (24.51 KB, image/png)
2006-08-01 03:29 EDT, Runa Bhattacharjee
no flags Details
conjunct sign with dependent vowel positioned after the glyph (20.90 KB, image/png)
2006-08-01 03:30 EDT, Runa Bhattacharjee
no flags Details
conjunct sign with dependent vowel positioned below the glyph (26.30 KB, image/png)
2006-08-01 03:31 EDT, Runa Bhattacharjee
no flags Details
conjunct sign with dependent vowel positioned in front of the glyph (20.98 KB, image/png)
2006-08-01 03:32 EDT, Runa Bhattacharjee
no flags Details
Font file of Solved Cursor positioning problem (135.80 KB, application/x-font-ttf)
2006-11-20 05:25 EST, Parag Nemade
no flags Details

  None (edit)
Description Runa Bhattacharjee 2006-06-29 07:16:32 EDT
Description of problem:

The glyph for the consonant conjunct consisting of U09B9 + U09CD + U09AC is
incorrect from the traditional written format.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Login to Bengali India locale from gdm
2. open gedit
3. press ctrl+space to activate scim
4. Choose M17N-bn-probhat from the scim toolbar at the bottom right corner
5. Press the keysequence h/b to write  the conjunct
  
Actual results:

incorrect glyph image. U09AC is at the bottom part of the conjunct glyph.
[bn-glyph.png]

Expected results:

U09AC should be attached to U09B9 in the right side oin the conjunct
glyph.[bn-glyph.png]

Additional info:

Attached image bn-glyph.png describing the problem
Comment 1 Runa Bhattacharjee 2006-06-29 07:16:32 EDT
Created attachment 131741 [details]
Graphical representation of the correct and incorrect form of the glyph
Comment 2 Darshan Santani 2006-07-21 10:56:26 EDT
Created attachment 132817 [details]
Patch attached

Patch attached to resolve the issue. Requested glyph for conjunct, consisting
of U09B9 + U09CD + U09AC, has been added. Thanks
Comment 3 Satyabrata Maitra 2006-07-27 06:44:53 EDT
Tested the bug. bug is Reproducing still. Even though patch developed, require
test rpm to test it.

Tested with:

gedit-2.15.4-1
m17n-db-1.3.3-14.fc6
fonts-bengali-2.0-1
Comment 4 Darshan Santani 2006-07-31 09:54:22 EDT
FIXED in RAWHIDE. 
[fonts-indic-2.0-2]
Comment 5 Runa Bhattacharjee 2006-08-01 03:29:09 EDT
Created attachment 133372 [details]
conjunct sign with cursor position
Comment 6 Runa Bhattacharjee 2006-08-01 03:30:37 EDT
Created attachment 133373 [details]
conjunct sign with dependent vowel positioned after the glyph
Comment 7 Runa Bhattacharjee 2006-08-01 03:31:23 EDT
Created attachment 133374 [details]
conjunct sign with dependent vowel positioned below the glyph
Comment 8 Runa Bhattacharjee 2006-08-01 03:32:08 EDT
Created attachment 133375 [details]
conjunct sign with dependent vowel positioned in front of the glyph
Comment 9 Runa Bhattacharjee 2006-08-01 03:35:08 EDT
Tested. Found following errors:

1. Cursor position is incorrect after typing the conjunct [glyph1.png]
2. Depenedent vowel signs to be positioned after the conjunct are displayed in
the middle of the conjunct glyph [glyph2.png]

Notes:
Dependent vowel signs placed in front [glyph4.png] and below [glyph3.png] the
conjunct glyph are correctly displayed.
Comment 10 Darshan Santani 2006-08-01 04:38:35 EDT
Runa, Thanks for the update and testing. I'll resolve this issue asap.
Comment 11 Leon Ho 2006-08-28 02:07:36 EDT
LingNing, can you check if it is a pango problem?
Comment 12 Liang Zhang 2006-08-29 02:53:34 EDT
ok, I will check it.
Comment 13 Liang Zhang 2006-08-29 05:35:50 EDT
Runa, what are the components of the conjuctions in glyph1.png and glyph2.png?
Comment 14 Runa Bhattacharjee 2006-08-29 06:17:32 EDT
Hi,
The details are as follows:

Glyph1: U099C+U09C0+U09B9+U09CD+U09AC
Glyph2: U099C+U09C0+U09B9+U09CD+U09AC+U09BE

hth
Runa
Comment 15 Rahul Bhalerao 2006-10-31 02:57:10 EST
Runa, 
Is this problem fixed in FC6?
Comment 16 Runa Bhattacharjee 2006-11-13 03:53:18 EST
Not Fixed in FC6.
Comment 17 Parag Nemade 2006-11-20 05:25:30 EST
Created attachment 141640 [details]
Font file of Solved Cursor positioning problem
Comment 18 Parag Nemade 2007-01-04 04:35:59 EST
Built and tested in fonts-bengali-2.0.8-1

Note You need to log in before you can comment on or make changes to this bug.